package cofh.thermal.expansion.inventory.container.dynamo;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.inventory.container.TileContainer;
import cofh.lib.inventory.wrapper.InvWrapperCoFH;
import cofh.thermal.expansion.init.TExpContainers;
import cofh.thermal.lib.block.entity.DynamoBlockEntity;
import net.minecraft.core.BlockPos;
import net.minecraft.world.Container;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.inventory.MenuType;
import net.minecraft.world.level.Level;

public class DynamoCompressionContainer extends TileContainer {
  public final DynamoBlockEntity tile;
  
  public DynamoCompressionContainer(int windowId, Level level, BlockPos pos, Inventory inventory, Player player) {
    super((MenuType)TExpContainers.DYNAMO_COMPRESSION_CONTAINER.get(), windowId, level, pos, inventory, player);
    this.tile = (DynamoBlockEntity)level.m_7702_(pos);
    InvWrapperCoFH tileInv = new InvWrapperCoFH(this.tile.getItemInv());
    bindAugmentSlots((Container)tileInv, 0, this.tile.augSize());
    bindPlayerInventory(inventory);
  }
}
